// Create alarm when extension is installed or updated
chrome.runtime.onInstalled.addListener(() => {
    chrome.alarms.create('checkInactivity', {
        periodInMinutes: 1
    });
});

// Listen for alarm
chrome.alarms.onAlarm.addListener((alarm) => {
    if (alarm.name === 'checkInactivity') {
        // Query for all Gmail tabs
        chrome.tabs.query({ url: 'https://mail.google.com/*' }, (tabs) => {
            tabs.forEach(tab => {
                chrome.tabs.sendMessage(tab.id, { type: 'check_logout' }, (response) => {
                    if (chrome.runtime.lastError) {
                        console.log('Error sending message:', chrome.runtime.lastError);
                    }
                });
            });
        });
    }
});

// Listen for activity updates from content script
chrome.runtime.onMessage.addListener((message, sender) => {
    if (message.type === 'activity_detected') {
        // Could be used to reset timer if needed
    }
});
